Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl -X DELETE "https://app.cotool.ai/sources/:id" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"
import requestsurl = "https://app.cotool.ai/sources/{id}"headers = {"Authorization": "Bearer <token>"}response = requests.delete(url, headers=headers)print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};fetch('https://app.cotool.ai/sources/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
HttpResponse<String> response = Unirest.delete("https://app.cotool.ai/sources/{id}") .header("Authorization", "Bearer <token>") .asString();
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://app.cotool.ai/sources/{id}" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
{ "success": true }
{ "error": "<string>", "issues": [ {} ]}
{ "error": "<string>"}
{ "error": "<string>", "missingPerms": [ "<string>" ]}
Deletes a custom intel source and associated intel items
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Bearer your_api_key_here
Successful response
Was this page helpful?